# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4
inherit flag-o-matic toolchain-funcs

DESCRIPTION="WGRIB is a program to manipulate, inventory and decode GRIB files"
HOMEPAGE="http://www.cpc.ncep.noaa.gov/products/wesley/wgrib.html"
SRC_URI="ftp://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/wgrib.c.v${PV}"

LICENSE="public-domain"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="-opn +rean"

REQUIRED_USE="^^ ( opn rean )"

DEPEND=""
RDEPEND="${DEPEND}"

src_unpack() {
	mkdir -p "${S}" || die
	cp "${DISTDIR}/${A}" "${S}" || die
	mv ${S}/${A} ${S}/wgrib.c || die
}

src_compile() {
	if use opn ; then
		append-cppflags -DDEF_T62_NCEP_TABLE=opn
	elif use rean ; then
		append-cppflags -DDEF_T62_NCEP_TABLE=rean
	fi

	emake CC="$(tc-getCC)" wgrib || die
}

src_install() {
	dobin wgrib || die
}
