# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit eutils autotools

DESCRIPTION="Decodes data in GRIB2 format."
HOMEPAGE="http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/"
SRC_URI="http://gentoo-pkgs.realtimeweather.info/g2clib/g2clib-1.5.0.tar"

LICENSE="public-domain"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+jpeg2k +png"

RDEPEND="
	>=sys-libs/glibc-2.13
	jpeg2k? ( >=media-libs/jasper-1.900.1 )
	png? ( >=media-libs/libpng-1.2.44:0 ) "
DEPEND="${RDEPEND}
	dev-util/pkgconfig"

src_unpack() {
	unpack ${A}
	mv ${WORKDIR}/g2clib-1.4.0 ${S}
}

src_prepare() {
	rm ${S}/makefile
	cp ${FILESDIR}/1.5.0/AUTHORS ./
	cp ${FILESDIR}/1.5.0/Makefile.am ./
	cp ${FILESDIR}/1.5.0/configure.ac ./

	eautoreconf
}

src_configure() {
	econf \
		$(use_with png) \
		$(use_with jpeg2k)
}
