# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit eutils autotools

DESCRIPTION="Grid Analysis and Display System for earth science data"
HOMEPAGE="http://www.iges.org/grads/"
SRC_URI="ftp://cola.gmu.edu/grads/2.0/old/grads-2.0.a9-src.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+gui +readline +grib2 sdf gadap +printim geotiff shp"

DEPEND="
	x11-libs/libX11
	gui? ( x11-libs/libsx )
	readline? ( sys-libs/readline sys-libs/ncurses )
	grib2? ( sci-libs/g2clib )
	sdf? ( sci-libs/udunits
			sci-libs/hdf[szip]
			sci-libs/hdf5[szip,zlib]
			sci-libs/netcdf[dap,hdf5,szip]
		 )
	gadap? ( sci-libs/gadap )
	printim? ( media-libs/gd[jpeg,png] )
	geotiff? ( sci-libs/libgeotiff )
	shp? ( sci-libs/shapelib )
	"
RDEPEND="${DEPEND}"

src_unpack() {
	unpack ${A}
	mv ${WORKDIR}/grads-2.0.a9 ${S}
}

src_prepare() {
	cp ${FILESDIR}/2.0_alpha9/configure.ac ./
	epatch ${FILESDIR}/2.0_alpha9/snprintf_overflow.diff
	epatch ${FILESDIR}/2.0_alpha9/noshp_bugs.diff
	epatch ${FILESDIR}/2.0_alpha9/dataloc.diff
	eautoreconf
}

src_configure() {
	econf \
		$(use_with gui) \
		$(use_with readline) \
		$(use_with grib2) \
		$(use_with sdf) \
		$(use_with gadap) \
		$(use_with printim) \
		$(use_with shp) \
		$(use_with geotiff)
}

src_install() {
	einstall
	rm ${D}/usr/bin/wgrib
	dodir /usr/share/doc/grads/
	cp -R "./doc/." "${D}/usr/share/doc/grads" || die "Failed to install documents"
	dodir /usr/share/grads/
	cp -R "./data/." "${D}/usr/share/grads" || die "Failed to install documents"
	dodir /usr/include
	cp "./src/grads.h" "${D}/usr/include" || die "Failed to install headers for extensions"
	cp "./src/gabufr.h" "${D}/usr/include" || die "Failed to install headers for extensions"
	cp "./src/gatypes.h" "${D}/usr/include" || die "Failed to install headers for extensions"
}
