# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit eutils

DESCRIPTION="Libsx (the Simple X library) is a library of code that sits on top of and to the side of the Athena widget set. Its purpose is to make writing X applications *much* easier."
HOMEPAGE="ftp://ftp.ac-grenoble.fr/ge/Xlibraries/"
SRC_URI="ftp://ftp.ac-grenoble.fr/ge/Xlibraries/${P}.tar.bz2"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

RDEPEND="
	>=sys-libs/glibc-2.13
	x11-libs/libX11
	x11-libs/libXaw
	x11-libs/libXmu
	x11-libs/libXpm
	x11-libs/libXt
	"
DEPEND="${RDEPEND}"

src_prepare() {
	epatch "${FILESDIR}/2.05-r3/libsx-simple_freq.diff"
	epatch "${FILESDIR}/2.05-r3/libsx-examples.diff"
	epatch "${FILESDIR}/2.05-r3/libsx-link_mkdir.diff"
	epatch "${FILESDIR}/2.05-r3/libsx-no_nested_prototypes.diff"
	epatch "${FILESDIR}/2.05-r3/libsx-rgb.diff"
	epatch "${FILESDIR}/2.05-r3/libsx-strdup.diff"
	epatch "${FILESDIR}/2.05-r3/libsx-pic-shlib.diff"
	epatch "${FILESDIR}/2.05-r3/libsx-maxpathlen.diff"
	epatch "${FILESDIR}/2.05-r3/libsx-makefile_install.diff"
#	cp "${FILESDIR}/files/2.05-r3/libsx.pc" ./src/
}

src_install() {
	emake DESTDIR=${D} install
	dodoc CHANGES README LICENSE HELP
	mkdir -p ${D}/usr/share/doc/${P}/
	cp -r docs ${D}/usr/share/doc/${P}/
	mv ${D}/usr/share/doc/${P}/docs ${D}/usr/share/doc/${P}/examples
	ln -s libsx.so.0 ${D}/usr/lib/libsx.so
}
